## vim-command-t 5.0.2-5-g7147ba9

=== debian/changelog ===
vim-command-t (5.0.2-5-g7147ba9-1build2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 17:18:02 -0300

vim-command-t (5.0.2-5-g7147ba9-1build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:25 +0000

vim-command-t (5.0.2-5-g7147ba9-1) unstable; urgency=medium

  * Add .gitignore for byproducts of package building
  * Install **/*.rb (and ext.so) by using cp --parents
  * Install command-t.yaml with install -D
  * Specify upstream/debian branch names
  * Update README.Source with pointers to gbp documentation and examples
  * Update reason test suite is ignored
  * Limit gbp-dch to commits that touch the debian directory
  * Rebase patches
  * Order file list for vam registry deterministically.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #862553)
  * Correctly escape $1 in get-orig-source make rule
  * Update changelog for release
  * New upstream release

 -- Sam Morris <sam@robots.org.uk>  Tue, 06 Mar 2018 10:48:39 +0000
