=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vim-command-t
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Morris <sam@robots.org.uk>
+Maintainer: Sam Morris <sam@robots.org.uk>
 Section: editors
 Priority: optional
 Build-Depends:
