=== debian/rules ===
--- 
+++ 
@@ -15,18 +15,18 @@
 # thereby causing `bundle exec` to complain that Debian-packaged gems are missing.
 	rm -rf .bundle
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-# Test suite doesn't currently pass, and upstream says that it's a maintenance
-# burden, so ignore failures.
+# Test suite doesn't currently pass; see debian/TODO for details.
 	-rake spec
 endif
 
 override_dh_install:
 	dh_install
-	cp debian/command-t.yaml.in debian/vim-command-t/usr/share/vim/registry/command-t.yaml
+	find ruby '(' -name '*.rb' -o -name '*.so' ')' -exec cp --parents {} debian/vim-command-t/usr/lib/vim-command-t ';'
+	install -T -D -m 0644 debian/command-t.yaml.in debian/vim-command-t/usr/share/vim/registry/command-t.yaml
 	cd debian/vim-command-t/usr/lib/vim-command-t && \
-	    find -type f | sed 's,^\./, - ,' >> ../../share/vim/registry/command-t.yaml
+	    find -type f | LC_ALL=C sort | sed 's,^\./, - ,' >> ../../share/vim/registry/command-t.yaml
 
-get-orig-source: VERSION := $(shell dpkg-parsechangelog -S Version | perl -pe 's/(.*)-/$1/')
+get-orig-source: VERSION := $(shell dpkg-parsechangelog -S Version | perl -pe 's/(.*)-/$$1/')
 get-orig-source:
 	set -eu; \
 	    d=$(shell mktemp -d); \
