## vim-command-t 5.0.5

=== debian/changelog ===
vim-command-t (5.0.5-2) unstable; urgency=medium

  * Use git to restore Gemfile.lock when cleaning the source tree
  * Import patches for ruby 3.3 compatibility.
    Thanks to <Lucas Kanashiro <kanashiro@debian.org> (Closes: #1093819)

 -- Sam Morris <sam@robots.org.uk>  Thu, 13 Feb 2025 17:22:01 +0000

vim-command-t (5.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch vim vim-addon-manager to dh-vim-addon. (Closes: #1015940)
  * Specify debhelper compat level using new build-dependency method.
  * Remove debian/source/local-options: --unapply-patches has been the default
    behaviour for dpkg-source for long enough that git-buildpackage no longer
    mentions it.
  * Add VERSION argument to get-orig-source rule
  * debian/watch: use tags page and don't launch uupdate
  * Drop remove-unnecessary-gems patch: uptsream no longer requires them
  * README.source: try to clean up instructiosn for using gbp import-orig

 -- Sam Morris <sam@robots.org.uk>  Wed, 21 Sep 2022 09:07:11 +0100

vim-command-t (5.0.3-1) unstable; urgency=medium

  * Improve README.source with more steps for dealing with a new upstream version
  * New upstream release

 -- Sam Morris <sam@robots.org.uk>  Wed, 17 Jul 2019 17:59:12 +0100
