=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Priority: optional
 Build-Depends:
  bundler,
- debhelper (>= 10),
+ debhelper-compat (= 10),
+ dh-vim-addon,
  rake,
  ruby,
  ruby-dev,
@@ -19,10 +20,12 @@
 Package: vim-command-t
 Architecture: any
 Depends:
- vim-addon-manager,
  vim-nox | vim-ruby,
+ ${vim-addon:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
+Suggests:
+ ruby,
 Description: open files with a minimum number of keystrokes
  Files are selected by typing characters that appear in their paths, and
  are ordered by an algorithm which knows that characters that appear in
